From: Ondrej Jirman <megi@xff.cz>
Date: Sat, 21 May 2022 15:09:17 +0200
Subject: media: i2c: imx258: Powerdown the sensor if clock enable fails

This was missing.

Signed-off-by: Ondrej Jirman <megi@xff.cz>
---
 drivers/media/i2c/imx258.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/drivers/media/i2c/imx258.c b/drivers/media/i2c/imx258.c
index 2570b51..4491c3d 100644
--- a/drivers/media/i2c/imx258.c
+++ b/drivers/media/i2c/imx258.c
@@ -1040,6 +1040,7 @@ static int imx258_power_on(struct device *dev)
 	ret = clk_prepare_enable(imx258->clk);
 	if (ret) {
 		dev_err(dev, "failed to enable clock\n");
+		gpiod_set_value_cansleep(imx258->pwdn_gpio, 1);
 		regulator_bulk_disable(IMX258_SUPPLY_COUNT, imx258->supplies);
 		return ret;
 	}
